import { Expression } from './expression';
/**
 * (experimental) Specifies the actions to be performed when the condition evaluates to TRUE.
 *
 * @experimental
 */
export interface Event {
    /**
     * (experimental) The name of the event.
     *
     * @experimental
     */
    readonly eventName: string;
    /**
     * (experimental) The Boolean expression that, when TRUE, causes the actions to be performed.
     *
     * @default - none (the actions are always executed)
     * @experimental
     */
    readonly condition?: Expression;
}
